<?php

namespace App\Enum\Communication;

enum PhoneNumberTypeSlug: string {
    // Slugs match the rows created by PhoneNumberTypeSeeder (and existing data).
    case Main = 'main';
    case Client = 'client';
    case Evidence = 'evidence';

    public function label(): string {
        return match ($this) {
            self::Main => 'Main Line',
            self::Client => 'Client Line',
            self::Evidence => 'Evidence Line',
        };
    }
}